com.tibbo.aggregate.common.filter.converter

## Class BaseExpressionBuilder

- java.lang.Object
- - com.tibbo.aggregate.common.filter.converter.BaseExpressionBuilder

- Direct Known Subclasses:
    FieldExpressionBuilder

      public class BaseExpressionBuilder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.StringBuilder` | `builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseExpressionBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `build()`
    `BaseExpressionBuilder` | `withExpressionByAnd(java.lang.String expression)`
    `BaseExpressionBuilder` | `withExpressionByOr(java.lang.String expression)`
    `BaseExpressionBuilder` | `withLogicalAnd()`
    `static void` | `withLogicalAnd(java.lang.StringBuilder sb)`
    `BaseExpressionBuilder` | `withLogicalOr()`
    `static void` | `withLogicalOr(java.lang.StringBuilder sb)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### builder

          protected final java.lang.StringBuilder builder

  - ### Constructor Detail

    - #### BaseExpressionBuilder

          public BaseExpressionBuilder()

  - ### Method Detail

    - #### withLogicalOr

          public BaseExpressionBuilder withLogicalOr()

    - #### withLogicalAnd

          public BaseExpressionBuilder withLogicalAnd()

    - #### withExpressionByAnd

          public BaseExpressionBuilder withExpressionByAnd(java.lang.String expression)

    - #### withExpressionByOr

          public BaseExpressionBuilder withExpressionByOr(java.lang.String expression)

    - #### withLogicalAnd

          public static void withLogicalAnd(java.lang.StringBuilder sb)

    - #### withLogicalOr

          public static void withLogicalOr(java.lang.StringBuilder sb)

    - #### build

          public java.lang.String build()